Skip to content
Snippets Groups Projects
Commit fc41f401 authored by Sjoerd Simons's avatar Sjoerd Simons
Browse files

Remove hardcoding of the session environment


Our test should be using the session environment as setup by the system
(in lava specifically by run-in-systemd). So remove the hardcoding of
DISPLAY (deprecated on wayland targets anyway), XDG_RUNTIME_DIR (setup
by the environment in all cases) and DBUS_SESSION_BUS_ADDRESS (should be
inferred by XDG_RUNTIME_DIR by all supported dbus libraries)

Reviewed-by: default avatarLuis Araujo <luis.araujo@collabora.co.uk>
Signed-off-by: default avatarSjoerd Simons <sjoerd.simons@collabora.co.uk>
Differential Revision: https://phabricator.apertis.org/D3664
parent e562c672
No related branches found
No related tags found
No related merge requests found
Showing
with 1 addition and 61 deletions
......@@ -7,6 +7,4 @@ else
exit 1
fi
test -z "$DISPLAY" && DISPLAY=:0
sudo "/usr/lib/chaiwala-tests/bluez/bluez-test"
......@@ -7,6 +7,4 @@ else
exit 1
fi
test -z "$DISPLAY" && DISPLAY=:0
/usr/lib/chaiwala-tests/bluez/spp-test.sh
......@@ -12,6 +12,4 @@ else
exit 1
fi
test -z "$DISPLAY" && DISPLAY=:0
${TEST_DIR}/../../folks/folks-metacontacts-antilinking.sh
DISPLAY=:0 LANG=de_DE.utf8 /usr/lib/chaiwala-tests/clutter-i18n/manual/test-clutter-i18n
LANG=de_DE.utf8 /usr/lib/chaiwala-tests/clutter-i18n/manual/test-clutter-i18n
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
database=`uuidgen`
# Create abstract database
......
......@@ -5,10 +5,6 @@ echo "# running test: $0"
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
mkdir -p ~/.local/share/folks
......
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
# Remove all contacts from eds.
......
......@@ -7,10 +7,7 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
set -x
export DISPLAY=:0
export FOLKS_DEBUG_NO_COLOUR=1
export G_MESSAGES_DEBUG=all
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
exec /usr/lib/chaiwala-tests/contacts/folks-extended-info
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
# Clean up to make sure we have a good test.
......
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
# Clean up to make sure we have a good test.
......
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
# Clean up to make sure we have a good test.
......
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
mkdir -p ~/.local/share/folks
......
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
mkdir -p ~/.local/share/folks
......
......@@ -8,10 +8,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
# Debuggability
set -x
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
export DISPLAY=:0
cur_dir=$(cd $(dirname $0); pwd; cd - &>/dev/null)
mkdir -p ~/.local/share/folks
......
......@@ -9,10 +9,6 @@ env | LC_ALL=C sort | sed -e 's/^/# /'
set -x
set -e
export DISPLAY=:0
export XDG_RUNTIME_DIR=/run/user/$(id -u user)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
BACKUP_FILES=""
PROCESSES_TO_KILL=""
......
......@@ -7,13 +7,6 @@ echo "# $0: running in: $(pwd)"
echo "# $0: initial environment:"
env | LC_ALL=C sort | sed -e 's/^/# /'
export DISPLAY=:0
export XDG_RUNTIME_DIR=/run/user/$(id -u user)
echo "# $0: additional environment:"
echo "# DISPLAY=$DISPLAY"
echo "# XDG_RUNTIME_DIR=$XDG_RUNTIME_DIR"
set -x
BACKUP_FILES=""
......
......@@ -18,10 +18,6 @@ set -x
set -e
set -o pipefail
export DISPLAY=:0
export XDG_RUNTIME_DIR=/run/user/$(id -u user)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"
/usr/lib/chaiwala-tests/x-out-of-screen-events/input_generator 2>&1 | sed -e 's/^/# input_generator: /' &
sleep 2
buttond /usr/share/chaiwala-tests/x-out-of-screen-events/buttond_tester.conf 2>&1 | sed -e 's/^/# buttond: /' &
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment